## mingw-w64-cgal-5.6.1-1.src.tar.zst

=== examples/Alpha_shapes_3/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Alpha_shapes_3_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== examples/Optimal_transportation_reconstruction_2/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Optimal_transportation_reconstruction_2_Examples)

find_package(CGAL REQUIRED)

create_single_source_cgal_program("otr2_simplest_example.cpp")
create_single_source_cgal_program("otr2_simplest_example_with_tolerance.cpp")
create_single_source_cgal_program("otr2_list_output_example.cpp")
create_single_source_cgal_program("otr2_indexed_output_example.cpp")
create_single_source_cgal_program("otr2_mass_example.cpp")

=== examples/Shape_detection/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script.
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Shape_detection_Examples)

find_package(CGAL REQUIRED COMPONENTS Core)

create_single_source_cgal_program("efficient_RANSAC_with_custom_shape.cpp")
create_single_source_cgal_program("efficient_RANSAC_with_parameters.cpp")
create_single_source_cgal_program("efficient_RANSAC_with_point_access.cpp")

find_package(Eigen3 3.1.0 QUIET) # (3.1.0 or greater)
include(CGAL_Eigen3_support)
if(TARGET CGAL::Eigen3_support)
  message(STATUS "Found Eigen 3")

  create_single_source_cgal_program("efficient_RANSAC_basic.cpp")
  create_single_source_cgal_program("efficient_RANSAC_with_callback.cpp")
  create_single_source_cgal_program("region_growing_with_custom_classes.cpp")
  create_single_source_cgal_program("region_growing_lines_on_point_set_2.cpp")
  create_single_source_cgal_program("region_growing_circles_on_point_set_2.cpp")
  create_single_source_cgal_program("region_growing_planes_on_point_set_3.cpp")
  create_single_source_cgal_program("region_growing_spheres_on_point_set_3.cpp")
  create_single_source_cgal_program("region_growing_cylinders_on_point_set_3.cpp")
  create_single_source_cgal_program("region_growing_lines_on_segment_set.cpp")
  create_single_source_cgal_program("region_growing_planes_on_polygon_mesh.cpp")
  add_executable(region_growing_planes_on_polyhedron region_growing_planes_on_polygon_mesh.cpp)
  target_compile_definitions(region_growing_planes_on_polyhedron PUBLIC -DUSE_POLYHEDRON)
  target_link_libraries(region_growing_planes_on_polyhedron PUBLIC CGAL::CGAL CGAL::Eigen3_support)

  foreach(
    target
    efficient_RANSAC_basic
    efficient_RANSAC_with_callback
    region_growing_with_custom_classes
    region_growing_lines_on_point_set_2
    region_growing_circles_on_point_set_2
    region_growing_planes_on_point_set_3
    region_growing_spheres_on_point_set_3
    region_growing_cylinders_on_point_set_3
    region_growing_planes_on_polygon_mesh
    region_growing_lines_on_segment_set)

    target_link_libraries(${target} PUBLIC CGAL::Eigen3_support)
  endforeach()
endif()

=== examples/Stream_lines_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Stream_lines_2_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== PKGBUILD ===
# Maintainer: Alexey Pavlov <alexpux@gmail.com>

_realname=cgal
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=5.6.1
pkgrel=1
pkgdesc="Computational Geometry Algorithms Library (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://www.cgal.org/"
msys2_repository_url="https://github.com/CGAL/cgal"
msys2_references=(
  "cpe: cpe:/a:cgal:computational_geometry_algorithms_library"
)
license=("spdx:CC0-1.0 AND BSL-1.0 AND MIT AND LGPL-3.0-or-later AND GPL-3.0-or-later")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc"
             "${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-eigen3"
             "${MINGW_PACKAGE_PREFIX}-pkgconf"
             "${MINGW_PACKAGE_PREFIX}-qt5-base"
             "${MINGW_PACKAGE_PREFIX}-qt5-svg"
             "${MINGW_PACKAGE_PREFIX}-qt5-script"
             "${MINGW_PACKAGE_PREFIX}-qt5-tools")
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-boost"
         "${MINGW_PACKAGE_PREFIX}-gmp"
         "${MINGW_PACKAGE_PREFIX}-mpfr")
optdepends=("${MINGW_PACKAGE_PREFIX}-eigen3: for some packages, see the CGAL manual"
            "${MINGW_PACKAGE_PREFIX}-qt5-svg: for CGAL_Qt5"
            "${MINGW_PACKAGE_PREFIX}-qt5-script: for CGAL_Qt5"
            "${MINGW_PACKAGE_PREFIX}-tbb: for some packages, see the CGAL manual")
source=(https://github.com/CGAL/cgal/releases/download/v${pkgver}/CGAL-${pkgver}.tar.xz)
sha256sums=('cdb15e7ee31e0663589d3107a79988a37b7b1719df3d24f2058545d1bcdd5837')

build() {
  mkdir -p ${srcdir}/build-${MSYSTEM} && cd ${srcdir}/build-${MSYSTEM}

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
  ${MINGW_PREFIX}/bin/cmake \
      -G"MSYS Makefiles" \
      -DCMAKE_INSTALL_PREFIX=${MINGW_PREFIX} \
      -DCMAKE_BUILD_TYPE=Release \
      ../CGAL-${pkgver}

  ${MINGW_PREFIX}/bin/cmake --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  DESTDIR="${pkgdir}" ${MINGW_PREFIX}/bin/cmake --install .
}
